#!/bin/bash
#
# 100301  pawong  Initial
#
# Getting remaining runtime from UPS in timeticks, converting it to minutes
# then outputting the result in Cacti expected format.


timeticks=`snmpget -v 1 -c public $1 .1.3.6.1.4.1.318.1.1.1.2.2.3.0 | awk '{ print $(NF-1) }' | tr -d '(' | tr -d ')'`

runtime_in_minutes=$(($timeticks / 6000))

echo RUNTIME:${runtime_in_minutes}
